> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/llms.txt)

# Retrieve a List of Optionlists

> GET /profiles/{profile_id}/optionlists



## Servers
- https://api.iformbuilder.com/exzact/api/v80/[servername]: https://api.iformbuilder.com/exzact/api/v80/[servername]


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile


### Query parameters

- **fields** (string)
  extra information of each profile on the list

- **limit** (number)
  maximum count of the profile list

- **offset** (number)
  skip that many profiles before beginning to return



## Responses
### 200
OK
#### Headers

- **Total-Count** (string)


#### Body: application/json (object)
- **id** (number)

- **name** (string)

- **global_id** (string)

- **version** (number)

- **created_date** (string)

- **created_by: `demo_user`** (string)

- **modified_date** (string)

- **modified_by: `demo_user`** (string)

- **reference_id** (string)

- **option_icons** (string)


### 400
Bad Request - `limit` or `offset` is not an integer.

#### Body: application/json (object)
- **error_message** (string)
  human-readable reason for the failure



[Powered by Bump.sh](https://bump.sh)
